/*-------------------------------------------------------------------------+
| Copyright 2020 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.cli;

import static org.eclipse.ui.PlatformUI.getWorkbench;

import org.fortiss.tooling.kernel.extension.ICommandLineSwitchHandler;

/**
 * Enables users of the CLI to trigger a platform shutdown after the preceding CLI switches were
 * handled. Useful for automation tasks.
 * 
 * @author diewald
 */
public class ShutdownPlatformCLIHandler implements ICommandLineSwitchHandler {

	/** {@inheritDoc} */
	@Override
	public boolean hasAdditionalArgument() {
		return false;
	}

	/** {@inheritDoc} */
	@Override
	public void handleCLISwitch(String argument) {
		getWorkbench().close();
	}
}
