/*-------------------------------------------------------------------------+
| Copyright 2020 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.javafx.control.treetableview;

import org.fortiss.tooling.common.ui.javafx.control.treetableview.DynamicTreeTableUIProviderBase;
import org.fortiss.tooling.kernel.model.INamedElement;

/**
 * Extendible {@link DynamicTreeTableUIProviderBase} providing the names of elements in the first
 * column.
 * 
 * @author diewald
 */
public class DynamicTreeTableNameProvider<T extends INamedElement>
		extends DynamicTreeTableUIProviderBase<T> {
	/** {@inheritDoc} */
	@Override
	public String getLabel(T element, int column) {
		if(column == 0) {
			return element.getName();
		}
		return null;
	}
}
