/*******************************************************************************
 * Copyright (c) 2019, 2020 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0 which is available at
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.lwfxef.model.layout;

/** {@link ILayout} defined by a sequence of X and Y coordinates. */
public interface IPointsLayout extends ILayout {
	/** Returns the number of points in the layout data. */
	int getNumberOfPoints();

	/**
	 * Returns the X coordinate of the point at the given index [0 <= index < getNumberOfPoints()].
	 */
	double getX(int index);

	/**
	 * Returns the Y coordinate of the point at the given index [0 <= index < getNumberOfPoints()].
	 */
	double getY(int index);
}
