/*******************************************************************************
 * Copyright (c) 2019, 2020 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0 which is available at
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.lwfxef.mvc;

import org.fortiss.tooling.common.ui.javafx.lwfxef.visual.IContentAnchorageVisual;

/** Interface for anchorage {@link IMVCBundle}s attached to {@link IContentMVCBundle}s. */
public interface IContentAnchorageMVCBundle extends IAnchorageMVCBundle {
	/** Returns the {@link IContentMVCBundle} this anchorage is attached to. */
	@Override
	IContentMVCBundle getAttachedTo();

	/** {@inheritDoc} */
	@Override
	IContentAnchorageVisual getVisual();
}
