/*******************************************************************************
 * Copyright (c) 2019, 2020 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0 which is available at
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.lwfxef.mvc;

import java.util.List;

/** Interface for the {@link IMVCBundle} representing the diagram (i.e. its background). */
public interface IDiagramMVCBundle extends IMVCBundle {
	/** Returns the list of content elements. */
	List<IContentMVCBundle> getContents();

	/** Returns the list of links. */
	List<ILinkMVCBundle> getLinks();

	/** Returns the list of attached diagram anchorages. */
	List<IDiagramAnchorageMVCBundle> getAnchorages();
}
