/*******************************************************************************
 * Copyright (c) 2019, 2020 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0 which is available at
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.lwfxef.mvc;

import org.fortiss.tooling.common.ui.javafx.lwfxef.visual.ILinkVisual;

/** Interface for directed links anchored to {@link IAnchorageMVCBundle}s. */
public interface ILinkMVCBundle extends IMVCBundle {
	/** Returns the parent {@link IDiagramMVCBundle}. */
	IDiagramMVCBundle getDiagramMVCBundle();

	/** Returns the start anchorage of this link. */
	IAnchorageMVCBundle getStartAnchorage();

	/** Returns the end anchorage of this link. */
	IAnchorageMVCBundle getEndAnchorage();

	/** Returns the visual. */
	@Override
	ILinkVisual getVisual();

	/** Updates the {@link ILinkMVCBundle}'s start and end anchorages. */
	void updateLinkBundle(IAnchorageMVCBundle start, IAnchorageMVCBundle end);
}
