/*******************************************************************************
 * Copyright (c) 2019, 2020 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0 which is available at
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.impl;

import java.util.ArrayList;
import java.util.List;

import org.fortiss.tooling.common.ui.javafx.lwfxef.DiagramViewer;
import org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.IContentMVCBundle;
import org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.IDiagramAnchorageMVCBundle;
import org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.IDiagramMVCBundle;
import org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.ILinkMVCBundle;

/** Implementation of {@link IDiagramMVCBundle}. */
public final class DiagramMVCBundle extends MVCBundleBase implements IDiagramMVCBundle {
	/** The list of content elements. */
	private final List<IContentMVCBundle> contents = new ArrayList<>();
	/** The list of link elements. */
	private final List<ILinkMVCBundle> links = new ArrayList<>();
	/** The list of attached anchorages. */
	private final List<IDiagramAnchorageMVCBundle> anchorages = new ArrayList<>();

	/** Constructor. */
	public DiagramMVCBundle(Object m, DiagramViewer v) {
		super(m, v);
	}

	/** {@inheritDoc} */
	@Override
	public void remove() {
		// nothing to do here
	}

	/** {@inheritDoc} */
	@Override
	public List<IContentMVCBundle> getContents() {
		return contents;
	}

	/** {@inheritDoc} */
	@Override
	public List<ILinkMVCBundle> getLinks() {
		return links;
	}

	/** {@inheritDoc} */
	@Override
	public List<IDiagramAnchorageMVCBundle> getAnchorages() {
		return anchorages;
	}
}
