/*-------------------------------------------------------------------------+
| Copyright 2016 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.internal.introspection.details.handler;

import org.eclipse.swt.dnd.Clipboard;
import org.eclipse.swt.dnd.TextTransfer;
import org.eclipse.swt.dnd.Transfer;
import org.eclipse.swt.widgets.Display;

/**
 * {@link Runnable} implementation that copies a given class name to the {@link Clipboard}.
 * 
 * @author hoelzl
 */
public final class CopyClassNameToClipBoardRunnable implements Runnable {

	/** The class name. */
	private final String className;

	/** Constructor. */
	public CopyClassNameToClipBoardRunnable(String className) {
		this.className = className;
	}

	/** {@inheritDoc} */
	@Override
	public void run() {
		Clipboard clipboard = new Clipboard(Display.getCurrent());
		String[] content = new String[] {className};
		Transfer[] transfer = new Transfer[] {TextTransfer.getInstance()};
		clipboard.setContents(content, transfer);
	}
}
