/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.xmlmodel.undo;

import org.eclipse.jface.action.Action;
import org.eclipse.ui.actions.ActionFactory;

/**
 * The redo action for the {@link ModelVersionStack}.
 * 
 * @author hummelb
 * @author $Author: deissenb $
 * @version $Rev: 34252 $
 * @levd.rating GREEN Hash: 78B6B4D6DFD2F86728FBD808114B885F
 */
public class ModelRedoAction extends Action {

	/** The version stack. */
	private final ModelVersionStack versionStack;

	/** Constructor. */
	/* package */ModelRedoAction(ModelVersionStack versionStack) {
		this.versionStack = versionStack;
		setId(ActionFactory.REDO.getId());
	}

	/** {@inheritDoc} */
	@Override
	public void run() {
		if (versionStack.canRedo()) {
			versionStack.redo();
		}
	}
}